## Try a 4x4 advection matrix. See the docstring in advection_matrix.m
## for an explanation of the expected result.

expected = (1/2) * [  0,  1,  0, -1; ...
		     -1,  0,  1,  0; ...
		      0, -1,  0,  1; ...
		      1,  0, -1,  0 ];

actual = advection_matrix(4, 0, 1);

unit_test_equals("4x4 advection matrix is correct", ...
		 true, ...
		 expected == actual);
